import { Definition, DefinitionConfig } from '../metadata/Definition';
import { GraphQLNamedType } from 'graphql';
export interface GraphQLTypeIndexConfig extends DefinitionConfig {
    typeInstance: GraphQLNamedType;
}
/**
 * Metadata for GraphQLType object.
 */
export declare class GraphQLTypeIndex extends Definition<GraphQLTypeIndexConfig> {
    constructor(config: {
        definitionClass: Function | null;
        typeInstance: GraphQLNamedType;
    });
    readonly definitionName: string;
    isOutputType(): boolean;
    isInputType(): boolean;
    buildTypeInstance(): GraphQLNamedType;
}
//# sourceMappingURL=GraphQLTypeIndex.d.ts.map