import { Reference, ReferenceConfig } from '../metadata/Reference';
export interface InputFieldConfig extends ReferenceConfig {
    fieldName: string;
    defaultValue?: any;
    description?: string;
    directives?: any;
}
export declare class InputField<TConfig extends InputFieldConfig = InputFieldConfig> extends Reference<TConfig> {
    protected readonly kind: 'input';
    readonly fieldName: string;
    readonly defaultValue: any;
    readonly description: string | undefined;
    readonly directives: any;
}
//# sourceMappingURL=InputField.d.ts.map