import { GraphQLType } from 'graphql';
import { TypeExpression } from './TypeExpression';
import { Instantiator } from '../types';
import { TypeResolvingContext, TypeArg } from './types';
export declare class List extends TypeExpression {
    protected innerExp: TypeExpression;
    static of(inner: TypeArg | TypeExpression): List;
    constructor(innerExp: TypeExpression);
    getTypeName(): string;
    getType(context: TypeResolvingContext): GraphQLType;
    getInstantiator(context: TypeResolvingContext): Instantiator;
}
export declare class NonNull extends TypeExpression {
    protected innerExp: TypeExpression;
    static of(inner: TypeArg | TypeExpression): NonNull;
    constructor(innerExp: TypeExpression);
    getTypeName(): string;
    getType(context: TypeResolvingContext): GraphQLType;
    getInstantiator(context: TypeResolvingContext): Instantiator;
}
//# sourceMappingURL=structure.d.ts.map