import { MetadataStorage } from '../metadata/MetadataStorage';
/**
 * Fallback class for Query type.
 *
 * It can be overridden by defining custom Query class with [defineType] decorator
 */
export declare class Query {
}
/**
 * Fallback class for Mutation type.
 *
 * It can be overridden by defining custom Mutation class with [defineType] decorator
 */
export declare class Mutation {
}
/**
 * Fallback class for Subscription type.
 *
 * It can be overridden by defining custom Mutation class with [defineType] decorator
 */
export declare class Subscription {
}
export declare function loadFallbackRootTypes(storage: MetadataStorage): void;
//# sourceMappingURL=rootTypes.d.ts.map