import { TypeExpression } from '../type-expression/TypeExpression';
import { TypeArg } from '../type-expression/types';
declare type ConnectionByNode = {
    node: TypeArg | TypeExpression;
    edge?: undefined;
};
declare type ConnectionByEdge = {
    edge: TypeArg | TypeExpression;
    node?: undefined;
};
declare type DefineConnectionOptions = {
    typeName?: string;
} & (ConnectionByNode | ConnectionByEdge);
export declare function defineConnection(options: DefineConnectionOptions): (definitionClass: Object) => void;
declare type DefineEdgeOptions = {
    typeName?: string;
    node: TypeArg | TypeExpression;
};
export declare function defineEdge(options: DefineEdgeOptions): (definitionClass: Object | null) => void;
export {};
//# sourceMappingURL=connection.d.ts.map