export declare type ResolverMap = Object;
export declare type ResolvedValue<T> = T | Promise<T>;
export declare type ResolvedList<T> = T[] | Promise<T[]> | Promise<T>[];
export interface ConcreteClass<T = any> {
    new (...args: any[]): T;
}
export declare type Instantiator<TClass = any> = (value: {
    [key: string]: any;
}) => TClass;
export declare function defaultInputFieldInstantiator(value: any): any;
export declare type Thunk<T> = () => T;
//# sourceMappingURL=types.d.ts.map